#
# spec file for package cockpit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cockpit-wicked
Version:        4.2
Release:        0
Summary:        Cockpit user interface for Wicked
License:        GPL-2.0-only
URL:            https://github.com/openSUSE/cockpit-wicked
Source:         https://github.com/openSUSE/cockpit-wicked/releases/download/%{version}/cockpit-wicked-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  appstream-glib

Requires:       cockpit-bridge
Requires:       wicked

BuildRequires:  nodejs-devel
BuildRequires:  npm

%description
Cockpit component for managing network configuration through Wicked

%prep
%setup -q -n %name

%build
# Nothing to build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs rm --verbose

%files
%doc README.md
%license LICENSE
%{_datadir}/cockpit
%{_datadir}/metainfo/*

%changelog
